Package org.springframework.aot.hint.predicate

# Class ReflectionHintsPredicates.TypeHintPredicate

java.lang.Object
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.TypeHintPredicate

All Implemented Interfaces:
  `Predicate<RuntimeHints>`

Enclosing class:
  ReflectionHintsPredicates

public static class ReflectionHintsPredicates.TypeHintPredicate extends Object implements Predicate<RuntimeHints>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(RuntimeHints hints)`
`Predicate<RuntimeHints>`
`withAnyMemberCategory(MemberCategory... memberCategories)`
Refine the current predicate to match if any of the given `categories` is present.
`Predicate<RuntimeHints>`
`withMemberCategories(MemberCategory... memberCategories)`
Refine the current predicate to only match if the given `categories` are present.
`Predicate<RuntimeHints>`
`withMemberCategory(MemberCategory memberCategory)`
Refine the current predicate to only match if the given `MemberCategory` is present.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Method Details

### test

public boolean test(RuntimeHints hints)

Specified by:
  `test` in interface `Predicate<RuntimeHints>`

### withMemberCategory

public Predicate<RuntimeHints> withMemberCategory(MemberCategory memberCategory)
Refine the current predicate to only match if the given `MemberCategory` is present.

Parameters:
  `memberCategory` - the member category
Returns:
  the refined `RuntimeHints` predicate

### withMemberCategories

public Predicate<RuntimeHints> withMemberCategories(MemberCategory... memberCategories)
Refine the current predicate to only match if the given `categories` are present.

Parameters:
  `memberCategories` - the member categories
Returns:
  the refined `RuntimeHints` predicate

### withAnyMemberCategory

public Predicate<RuntimeHints> withAnyMemberCategory(MemberCategory... memberCategories)
Refine the current predicate to match if any of the given `categories` is present.

Parameters:
  `memberCategories` - the member categories
Returns:
  the refined `RuntimeHints` predicate